Bug 1412617 - cdn-sync --count-package doesn't work with oracle backend
Summary: cdn-sync --count-package doesn't work with oracle backend
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gennadii Altukhov
QA Contact: Pavel Studeník
URL:
Whiteboard:
Depends On:
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2017-01-12 12:56 UTC by Pavel Studeník
Modified: 2017-06-21 12:17 UTC (History)
3 users (show)

Fixed In Version: spacewalk-backend-2.5.3-49-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:17:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2017-01-12 12:56:57 UTC
Description of problem:
I try to count packages for syncing on satellite 5.8 with oracle db.

>> cdn-sync --count-package
07:53:35 Number of channels: 1417
07:53:35 Number of repositories: 1575
Traceback (most recent call last):
  File "/usr/bin/cdn-sync", line 159, in <module>
    sys.exc_info()[2])
  File "/usr/bin/cdn-sync", line 107, in <module>
    cdnsync.count_packages(channels=args.channel)
  File "/usr/lib/python2.6/site-packages/spacewalk/cdn_tools/cdnsync.py", line 354, in count_packages
    yum_repo = self._create_yum_repo(source)
  File "/usr/lib/python2.6/site-packages/spacewalk/cdn_tools/cdnsync.py", line 247, in _create_yum_repo
    repo_plugin.set_ssl_options(str(keys['ca_cert']), str(keys['client_cert']), str(keys['client_key']))
Exception: SYNC ERROR: attempting to display as much information as possible
 LOB variable no longer valid after subsequent fetch

Connected to:
Oracle Database 10g Enterprise Edition Release 10.2.0.4.0 - 64bit Production

Version-Release number of selected component (if applicable):
spacewalk-backend-cdn-2.5.3-48.el6sat.noarch

How reproducible:
oracle

Steps to Reproduce:
1. activate satellite
2. sync some channels from cdn
3. try to count packages

Actual results:
error

Expected results:
it works

Comment 1 Gennadii Altukhov 2017-01-12 15:43:16 UTC
patch is available in upstream, spacewalk.git:
e57b709301244fed2315c5934985c1c566e700f6

Comment 4 Pavel Studeník 2017-03-22 14:56:35 UTC
Verified spacewalk-backend-cdn-2.5.3-87.el6sat.noarch


Note You need to log in before you can comment on or make changes to this bug.